Bug 29394 - Possible typo in sysdeps/aarch64/configure{.ac}
Summary: Possible typo in sysdeps/aarch64/configure{.ac}
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: build (show other bugs)
Version: unspecified
: P2 minor
Target Milestone: 2.37
Assignee: Wilco
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-07-22 04:10 UTC by BenH
Modified: 2023-02-28 15:52 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Last reconfirmed: 2022-08-11 00:00:00


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description BenH 2022-07-22 04:10:42 UTC
So I'm not super familiar with those configure macros, but I noticed this in configure.ac"

# Check if asm support armv8.2-a+sve
AC_CACHE_CHECK(for SVE support in assembler, libc_cv_asm_sve, [dnl
cat > conftest.s <<\EOF
        ptrue p0.b
EOF
if AC_TRY_COMMAND(${CC-cc} -c -march=armv8.2-a+sve conftest.s 1>&AS_MESSAGE_LOG_FD); then
  libc_cv_aarch64_sve_asm=yes
else
  libc_cv_aarch64_sve_asm=no
fi
rm -f conftest*])
if test $libc_cv_aarch64_sve_asm = yes; then
  AC_DEFINE(HAVE_AARCH64_SVE_ASM)
fi

Note the use of "libc_cv_asm_sve" vs. "libc_cv_aarch64_sve_asm"

This doesn't match other tests in the same file and might explain why the result isn't displayed properly when running configure...
Comment 1 Wilco 2022-08-11 16:19:37 UTC
Confirmed, the fix is trivial.
Comment 2 Andreas Schwab 2023-02-28 15:52:45 UTC
Fixed by commit 12182ba18d.